[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TList.FPODetachObserver

Remove an observer from the list of observers

## Declaration

Source position: classesh.inc line 330

`public procedure TList.FPODetachObserver(`
`AObserver: TObject`
`);`

## Description

FPODetachObserver is part of the implementation of the IFPObserved interface in Tlist. It removes the first found instance of the observer from the list of observers.

## See also

IFPObserved |  | Interface implemented by an object that can be observed.
IFPObserved.FPODetachObserver |  | Remove an observer from the list of observers.
IFPObserver |  | Interface for an object to observe other objects.

Documentation generated on: Feb 26 2014